Skip to main content
GET
List Certificates.

Authorizations

Authorization
string
header
required

The Tyk Dashboard API Access Credentials

Query Parameters

p
integer

Use p query parameter to say which page you want returned. Send number less than 0 to return all items.

mode
enum<string>

Set to detailed to get certificates that are more with more details (Will contains certs basic details). To retrieve a list of certificates with all the certificate details use this endpoint.

Available options:
detailed
filter
enum<string>
default:omit

Defines the filtering strategy applied to certificate keys. This query parameter only works with detailed mode (mode=detailed). omit (default) – Returns all certificates regardless of private key association. with_pk – Returns only certificates that include a private key. without_pk – Returns only certificates that do not include a private key.

Available options:
omit,
with_pk,
without_pk

Response

OK

cert_basics
object[] | null
pages
integer